#include <stdlib.h>
#include <string.h>
#define __USE_GNU
#include <sys/utsname.h>

int uname(struct utsname *buf) {
  strncpy(buf->sysname,    getenv("UH_SYSNAME"),    _UTSNAME_SYSNAME_LENGTH);
  strncpy(buf->nodename,   getenv("UH_NODENAME"),   _UTSNAME_NODENAME_LENGTH);
  strncpy(buf->release,    getenv("UH_RELEASE"),    _UTSNAME_RELEASE_LENGTH);
  strncpy(buf->version,    getenv("UH_VERSION"),    _UTSNAME_VERSION_LENGTH);
  strncpy(buf->machine,    getenv("UH_MACHINE"),    _UTSNAME_MACHINE_LENGTH);
  strncpy(buf->domainname, getenv("UH_DOMAINNAME"), _UTSNAME_DOMAIN_LENGTH);
  return 0 ;
}


